%define name pose
%define skinversion 1.8
%define version 3.3
%define release 1mdk
%define url http://www.palmos.com/dev/tech/tools/emulator
%define hanspring_url http://www.handspring.com/developers/Devkit2

%{expand:%%define rversion %(echo %{version}|sed -n 's/\([0-9]*\)\.\([0-9]*\)/\1\2/p')}
%{expand:%%define rskinversion %(echo %{skinversion}|sed -n 's/\([0-9]*\)\.\([0-9]*\)/\1\2/p')}

Name: %{name}
Version: %{version}
Release: %{release}
Summary: Offical PalmOS Emulator
Source: %{url}/emulator_src_%{rversion}.tar.bz2 
Source1: %{url}/emulator-skins-%{rskinversion}.tar.gz
Source2: %{handspring_url}/HandspringSkins_31H3.zip
Group: Emulators
BuildRoot: %{_tmppath}/%{name}-buildroot 
License: GPL
Prefix: %{_prefix}
BuildRequires: fltk-devel >= 1.1.0-0.beta5.1mdk, unzip
Requires: fltk
Patch: Emulator_Src_3.2-GL.patch.bz2
Patch1: Emulator_Src_3.3-fix_with_latest_fltk.patch.bz2
URL: %{url}
Obsoletes: xcopilot
Provides: xcopilot

%description 
The Palm OS Emulator (POSE) is software that emulatesa the hardware of
the various models of Palm Computing platform devices. It is extremely
valuable for writing, testing and debugging applications.

%prep 
rm -rf $RPM_BUILD_ROOT 

%setup -q -n Emulator_Src_%{version}
%patch -p1
%patch1 -p1

cd BuildUnix/
autoconf
for i in {INSTALL,NEWS,README,COPYING,AUTHORS,ChangeLog};do touch $i;done
automake
aclocal

%build 
cd BuildUnix
%configure
%make

%install 
rm -rf %buildroot
cd BuildUnix
make install DESTDIR=%{buildroot}
install -d -m755 %buildroot/%{_datadir}/pose/
zcat %{SOURCE1}|tar xf - -C %{buildroot}/%{_datadir}/pose/
pushd %{buildroot}/%{_datadir}/pose/ && {
		mv Skins_v%{skinversion} Skins
		rm -rf Skins/Handspring/
		unzip %{SOURCE2}
		mv HandspringSkins_*/Handspring Skins/
		rm -rf HandspringSkins_*
} && popd
mv %{buildroot}%{_datadir}/pose/Skins/*.txt ./ReadMe.Themes

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755) 
%doc Docs/* ReadMe.Themes
%{_bindir}/%{name}
%{_datadir}/%{name}

%changelog 
* Mon Dec  3 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.3-1mdk
- Add Hanspring skins.
- Fix compilation with latest libfltk.
- 3.3.

* Fri Nov  9 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.2-5mdk
- Rebuild for deps.

* Thu Aug 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.2-4mdk
- rebuild

* Fri Jun 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.2-3mdk
- (Provides|Obsoletes): xcopilot.

* Thu Jun 14 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.2-2mdk
- Add skins directory
- Fix descriptions.

* Wed Jun 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.2-1mdk
- First mandrake version.

